lib64python-devel-2.7.15-1.2.mga6.x86_64.rpm


Advertisement

Description

lib64python-devel - The libraries and header files needed for Python development

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates x86_64
Package name lib64python-devel
Package version 2.7.15
Package release 1.2.mga6
Package architecture x86_64
Package type rpm
Installed size 11.59 MB
Download size 2.12 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.
Install lib64python-devel if you want to develop Python extensions.  The
python package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.

Alternatives

Package Version Architecture Repository
lib64python-devel-2.7.15-1.1.mga6.x86_64.rpm 2.7.15 x86_64 Mageia Core Updates
lib64python-devel-2.7.15-1.mga6.x86_64.rpm 2.7.15 x86_64 Mageia Core Updates
lib64python-devel-2.7.13-1.1.mga6.x86_64.rpm 2.7.13 x86_64 Mageia Core Updates
lib64python-devel-2.7.13-1.mga6.x86_64.rpm 2.7.13 x86_64 Mageia Core
lib64python-devel - - -

Requires

Name Value
devel(libdl(64bit)) -
devel(libm(64bit)) -
devel(libutil(64bit)) -
lib64python2.7 == 2.7.15-1.2.mga6
pkgconfig -
python == 2.7.15
python(abi) == 2.7
python-rpm macros
python2-rpm macros

Provides

Name Value
devel(libpython2.7(64bit)) -
lib64python-devel == 2.7.15-1.2.mga6
lib64python-devel(x86-64) == 2.7.15-1.2.mga6
libpython-devel == 2.7.15-1.2.mga6
pkgconfig(python) == 2.7
pkgconfig(python-2.7) == 2.7
pkgconfig(python2) == 2.7
python-devel == 2.7.15-1.2.mga6
python2-devel == 2.7.15-1.2.mga6

Obsoletes

Name Value
lib64python2.5-devel -
lib64python2.6-devel -
lib64python2.7-devel < 2.7-4
python-devel < 2.7.15

Download

Type URL
Binary Package lib64python-devel-2.7.15-1.2.mga6.x86_64.rpm
Source Package python-2.7.15-1.2.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64python-devel rpm package:
    # urpmi lib64python-devel

Files

Path
/usr/bin/python-config
/usr/bin/python2-config
/usr/bin/python2.7-config
/usr/include/python2.7/Python-ast.h
/usr/include/python2.7/Python.h
/usr/include/python2.7/abstract.h
/usr/include/python2.7/asdl.h
/usr/include/python2.7/ast.h
/usr/include/python2.7/bitset.h
/usr/include/python2.7/boolobject.h
/usr/include/python2.7/bufferobject.h
/usr/include/python2.7/bytearrayobject.h
/usr/include/python2.7/bytes_methods.h
/usr/include/python2.7/bytesobject.h
/usr/include/python2.7/cStringIO.h
/usr/include/python2.7/cellobject.h
/usr/include/python2.7/ceval.h
/usr/include/python2.7/classobject.h
/usr/include/python2.7/cobject.h
/usr/include/python2.7/code.h
/usr/include/python2.7/codecs.h
/usr/include/python2.7/compile.h
/usr/include/python2.7/complexobject.h
/usr/include/python2.7/datetime.h
/usr/include/python2.7/descrobject.h
/usr/include/python2.7/dictobject.h
/usr/include/python2.7/dtoa.h
/usr/include/python2.7/enumobject.h
/usr/include/python2.7/errcode.h
/usr/include/python2.7/eval.h
/usr/include/python2.7/fileobject.h
/usr/include/python2.7/floatobject.h
/usr/include/python2.7/frameobject.h
/usr/include/python2.7/funcobject.h
/usr/include/python2.7/genobject.h
/usr/include/python2.7/graminit.h
/usr/include/python2.7/grammar.h
/usr/include/python2.7/import.h
/usr/include/python2.7/intobject.h
/usr/include/python2.7/intrcheck.h
/usr/include/python2.7/iterobject.h
/usr/include/python2.7/listobject.h
/usr/include/python2.7/longintrepr.h
/usr/include/python2.7/longobject.h
/usr/include/python2.7/marshal.h
/usr/include/python2.7/memoryobject.h
/usr/include/python2.7/metagrammar.h
/usr/include/python2.7/methodobject.h
/usr/include/python2.7/modsupport.h
/usr/include/python2.7/moduleobject.h
/usr/include/python2.7/node.h
/usr/include/python2.7/object.h
/usr/include/python2.7/objimpl.h
/usr/include/python2.7/opcode.h
/usr/include/python2.7/osdefs.h
/usr/include/python2.7/parsetok.h
/usr/include/python2.7/patchlevel.h
/usr/include/python2.7/pgen.h
/usr/include/python2.7/pgenheaders.h
/usr/include/python2.7/py_curses.h
/usr/include/python2.7/pyarena.h
/usr/include/python2.7/pycapsule.h
/usr/include/python2.7/pyctype.h
/usr/include/python2.7/pydebug.h
/usr/include/python2.7/pyerrors.h
/usr/include/python2.7/pyexpat.h
/usr/include/python2.7/pyfpe.h
/usr/include/python2.7/pygetopt.h
/usr/include/python2.7/pymacconfig.h
/usr/include/python2.7/pymactoolbox.h
/usr/include/python2.7/pymath.h
/usr/include/python2.7/pymem.h
/usr/include/python2.7/pyport.h
/usr/include/python2.7/pystate.h
/usr/include/python2.7/pystrcmp.h
/usr/include/python2.7/pystrtod.h
/usr/include/python2.7/pythonrun.h
/usr/include/python2.7/pythread.h
/usr/include/python2.7/rangeobject.h
/usr/include/python2.7/setobject.h
/usr/include/python2.7/sliceobject.h
/usr/include/python2.7/stringobject.h
/usr/include/python2.7/structmember.h
/usr/include/python2.7/structseq.h
/usr/include/python2.7/symtable.h
/usr/include/python2.7/sysmodule.h
/usr/include/python2.7/timefuncs.h
/usr/include/python2.7/token.h
/usr/include/python2.7/traceback.h
/usr/include/python2.7/tupleobject.h
/usr/include/python2.7/ucnhash.h
/usr/include/python2.7/unicodeobject.h
/usr/include/python2.7/warnings.h
/usr/include/python2.7/weakrefobject.h
/usr/lib64/libpython2.7.so
/usr/lib64/pkgconfig/python-2.7.pc
/usr/lib64/pkgconfig/python.pc
/usr/lib64/pkgconfig/python2.pc
/usr/lib64/python2.7/config/Setup
/usr/lib64/python2.7/config/Setup.config
/usr/lib64/python2.7/config/Setup.local
/usr/lib64/python2.7/config/config.c
/usr/lib64/python2.7/config/config.c.in
/usr/lib64/python2.7/config/install-sh
/usr/lib64/python2.7/config/libpython2.7.a
/usr/lib64/python2.7/config/libpython2.7.so
/usr/lib64/python2.7/config/makesetup
/usr/lib64/python2.7/config/python.o
/usr/lib64/valgrind/valgrind-python.supp

Changelog

See python-2.7.15-1.2.mga6.x86_64.rpm changelog.

See Also

Package Description
lib64python2.7-2.7.13-1.1.mga6.x86_64.rpm Shared libraries for Python 2.7.13
lib64python2.7-2.7.15-1.1.mga6.x86_64.rpm Shared libraries for Python 2.7.15
lib64python2.7-2.7.15-1.2.mga6.x86_64.rpm Shared libraries for Python 2.7.15
lib64python2.7-2.7.15-1.mga6.x86_64.rpm Shared libraries for Python 2.7.15
lib64python2.7-stdlib-2.7.13-1.1.mga6.x86_64.rpm Python 2.7.13 standard library
lib64python2.7-stdlib-2.7.15-1.1.mga6.x86_64.rpm Python 2.7.15 standard library
lib64python2.7-stdlib-2.7.15-1.2.mga6.x86_64.rpm Python 2.7.15 standard library
lib64python2.7-stdlib-2.7.15-1.mga6.x86_64.rpm Python 2.7.15 standard library
lib64python2.7-testsuite-2.7.13-1.1.mga6.x86_64.rpm Testsuite for the Python 2.7.13 standard library
lib64python2.7-testsuite-2.7.15-1.1.mga6.x86_64.rpm Testsuite for the Python 2.7.15 standard library
lib64python2.7-testsuite-2.7.15-1.2.mga6.x86_64.rpm Testsuite for the Python 2.7.15 standard library
lib64python2.7-testsuite-2.7.15-1.mga6.x86_64.rpm Testsuite for the Python 2.7.15 standard library
lib64python3-devel-3.5.3-1.1.mga6.x86_64.rpm The libraries and header files needed for Python development
lib64python3-devel-3.5.3-1.2.mga6.x86_64.rpm The libraries and header files needed for Python development
lib64python3-devel-3.5.3-1.4.mga6.x86_64.rpm The libraries and header files needed for Python development
Advertisement
Advertisement